#include "lfr.h"
#include <opencv2/core/utils/logger.hpp>
 
int main(void)
{
    //Disable opencv logging messages
    cv::utils::logging::setLogLevel(cv::utils::logging::LOG_LEVEL_WARNING);

    const int threshold_binary = 110;
    const int video_height = 240;
    const int video_width = 320;

    LFR lfr(video_height, video_width, threshold_binary);
    lfr.startLoop();
    //To end the video stream, write any char in the console.
    char a;
    std::cin >> a; 
    lfr.endLoop();
}